<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/common_padding"
        android:scrollbars="none"
        tools:ignore="UselessParent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <include
                    android:id="@+id/hotel_predetermine"
                    layout="@layout/layout_hotel_predetermine_payment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <include
                    android:id="@+id/hotel_payment_application"
                    layout="@layout/layout_payment_application"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:text="@string/city_tax"
                        android:textColor="@color/text_color_blue"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/city_tax_currency"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:textColor="@color/color_caution"
                        android:textSize="@dimen/text_size_minimum" />

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="@string/city_tax"
                            android:textSize="@dimen/text_size_medium" />

                        <EditText
                            android:id="@+id/city_tax"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@color/white"
                            android:gravity="end"
                            android:hint="@string/please_input"
                            android:importantForAutofill="no"
                            android:inputType="numberDecimal"
                            android:selectAllOnFocus="true"
                            android:singleLine="true"
                            android:textColor="@color/text_color"
                            android:textColorHint="@color/hint_text_color"
                            android:textSize="@dimen/text_size_medium" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding_huge"
                        android:layout_weight="1"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="@string/unit"
                            android:textSize="@dimen/text_size_medium" />

                        <TextView
                            android:id="@+id/city_tax_unit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@color/white"
                            android:gravity="end"
                            android:hint="@string/please_select"
                            android:singleLine="true"
                            android:textColor="@color/text_color"
                            android:textColorHint="@color/hint_text_color"
                            android:textSize="@dimen/text_size_medium" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding_small"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:text="@string/city_tax_op_pay"
                        android:textSize="@dimen/text_size_medium" />

                    <RadioGroup
                        android:id="@+id/city_tax_op_pay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/city_tax_yes"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:text="@string/yes"
                            android:textColor="@color/text_color" />

                        <RadioButton
                            android:id="@+id/city_tax_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:checked="true"
                            android:text="@string/no"
                            android:textColor="@color/text_color" />
                    </RadioGroup>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <include
                    android:id="@+id/city_tax_payment_application"
                    layout="@layout/layout_payment_application"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:text="@string/local_tax"
                        android:textColor="@color/text_color_blue"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/local_tax_currency"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:textColor="@color/color_caution"
                        android:textSize="@dimen/text_size_minimum" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:baselineAligned="false"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/common_padding_huge"
                            android:layout_weight="2"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:text="@string/local_tax"
                                android:textSize="@dimen/text_size_medium" />

                            <EditText
                                android:id="@+id/local_tax"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/common_padding"
                                android:background="@color/white"
                                android:gravity="end"
                                android:hint="@string/please_input"
                                android:importantForAutofill="no"
                                android:inputType="numberDecimal"
                                android:selectAllOnFocus="true"
                                android:singleLine="true"
                                android:textColor="@color/text_color"
                                android:textColorHint="@color/hint_text_color"
                                android:textSize="@dimen/text_size_medium" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding_huge"
                            android:layout_weight="1"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:text="@string/unit"
                                android:textSize="@dimen/text_size_medium" />

                            <TextView
                                android:id="@+id/local_tax_unit"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/common_padding"
                                android:background="@color/white"
                                android:gravity="end"
                                android:hint="@string/please_select"
                                android:singleLine="true"
                                android:textColor="@color/text_color"
                                android:textColorHint="@color/hint_text_color"
                                android:textSize="@dimen/text_size_medium" />
                        </LinearLayout>
                    </LinearLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/line"
                        android:layout_marginTop="@dimen/common_padding"
                        android:layout_marginBottom="@dimen/common_padding"
                        android:background="@color/line_color" />

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding_small"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:text="@string/local_tax_op_pay"
                        android:textSize="@dimen/text_size_medium" />

                    <RadioGroup
                        android:id="@+id/local_tax_op_pay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/local_tax_yes"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:text="@string/yes"
                            android:textColor="@color/text_color" />

                        <RadioButton
                            android:id="@+id/local_tax_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:checked="true"
                            android:text="@string/no"
                            android:textColor="@color/text_color" />
                    </RadioGroup>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <include
                    android:id="@+id/local_tax_payment_application"
                    layout="@layout/layout_payment_application"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:text="@string/hotel_breakfast"
                        android:textColor="@color/text_color_blue"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/breakfast_currency"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:textColor="@color/color_caution"
                        android:textSize="@dimen/text_size_minimum" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/common_padding_huge"
                        android:layout_weight="2"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="@string/hotel_breakfast"
                            android:textSize="@dimen/text_size_medium" />

                        <EditText
                            android:id="@+id/hotel_breakfast"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@color/white"
                            android:gravity="end"
                            android:hint="@string/please_input"
                            android:importantForAutofill="no"
                            android:inputType="numberDecimal"
                            android:selectAllOnFocus="true"
                            android:singleLine="true"
                            android:textColor="@color/text_color"
                            android:textColorHint="@color/hint_text_color"
                            android:textSize="@dimen/text_size_medium" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding_huge"
                        android:layout_weight="1"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:text="@string/unit"
                            android:textSize="@dimen/text_size_medium" />

                        <TextView
                            android:id="@+id/hotel_breakfast_unit"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@color/white"
                            android:gravity="end"
                            android:hint="@string/please_select"
                            android:singleLine="true"
                            android:textColor="@color/text_color"
                            android:textColorHint="@color/hint_text_color"
                            android:textSize="@dimen/text_size_medium" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding_small"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:text="@string/breakfast_op_pay"
                        android:textSize="@dimen/text_size_medium" />

                    <RadioGroup
                        android:id="@+id/breakfast_op_pay"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/breakfast_yes"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:text="@string/yes"
                            android:textColor="@color/text_color" />

                        <RadioButton
                            android:id="@+id/breakfast_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/common_padding"
                            android:background="@drawable/style_radio_button"
                            android:buttonTint="@color/title_background_color"
                            android:checked="true"
                            android:text="@string/no"
                            android:textColor="@color/text_color" />
                    </RadioGroup>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding_huge"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <include
                    android:id="@+id/breakfast_payment_application"
                    layout="@layout/layout_payment_application"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding_huge"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/other_info"
                        android:textColor="@color/text_color_blue"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:text="@string/notes"
                        android:textSize="@dimen/text_size_medium" />

                    <com.pan_american.android.util.ScrollEditText
                        android:id="@+id/payment_apply_notes"
                        android:layout_width="match_parent"
                        android:layout_height="120dp"
                        android:layout_marginTop="@dimen/common_padding" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding_huge"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/payment_total"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/payment_sum"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:background="@color/white"
                        android:gravity="end"
                        android:singleLine="true"
                        android:textColor="@color/text_color"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="50dp"
                android:background="@drawable/shape_corner_solid_blue"
                android:orientation="horizontal">

                <com.pan_american.android.util.CommitButton
                    android:id="@+id/commit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>